> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/elements/charts/gauge-charts/speed-gauge.md).

# Speed Gauge

**Speed gauge** chart is a type of data visualization often used to display a single data value with a quantitative context. The advantage of this chart lays in the fact that it’s easy to interpret, useful in situations where the expected value of the data is already known.

## The Method To Use <a href="#the-method-to-use.1" id="the-method-to-use.1"></a>

The method is `s.plt.speed_gauge()`

The speed gauge s a gauge (a meter) that collects and displays the instantaneous value of a measurable quantity.

### 1. Default Configuration <a href="#id-2.-title-for-the-chart-and-changing-data" id="id-2.-title-for-the-chart-and-changing-data"></a>

This can be achieved using:

```python
s.plt.speed_gauge(
    name='Third', value=60, order=0,
    min_value=0, max_value=100,
    rows_size=2, cols_size=12,
)
```

![The speed gauge is in the default configuration.](/files/C4NoTVRFygOKKUNqQHoD)

### 2. Customization And Context <a href="#id-2.-title-for-the-chart-and-changing-data" id="id-2.-title-for-the-chart-and-changing-data"></a>

It is possible to personalize the **title** of the chart and change data at will. **Padding** controls the position of the gauge on the page.

This can be achieved using:

```python
s.plt.speed_gauge(
    name='Third', value=60, order=0,
    rows_size=2, cols_size=12,
    min_value=0, max_value=100,
    padding='0,0,0,2', title='Speed (km/h)',
)
```

![Note the space before the component using padding='0,0,0,2', and its size with cols\_size=6.](/files/aFvnLVxAhIFU3Fqx5nIp)

{% hint style="info" %}

### Featured Content

[Changing the Menu Path](/dev/building-web-app/menu/changing-the-menu-path.md)\
The `menu_path` can be modified.<br>

[Using the Grid](/dev/building-web-app/grid/using-the-grid.md)

It is possible to use any number of rows.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.shimoku.com/dev/elements/charts/gauge-charts/speed-gauge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
